package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.common.entity.ExamStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考生 Mapper 接口
 * </p>
 */
public interface ExamStudentMapper extends BaseMapper<ExamStudent> {
    /**
     * 分页查询学生信息
     */
    IPage<ExamStudent> findStudentPage(@Param("iPage") Page<ExamStudent> iPage,
                                            @Param("examId") Long examId,
                                            @Param("courseCode") String courseCode,
                                            @Param("collegeName") String collegeName,
                                            @Param("majorName") String majorName,
                                            @Param("className") String className,
                                            @Param("queryParams") String queryParams);
}
