package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.business.bean.result.PictureManageDetailResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PictureManageMapper {

    IPage<PictureManageDetailResult> pageData(Page<PictureManageDetailResult> page, @Param(value = "semesterId") Long semesterId,
            @Param(value = "examId") Long examId, @Param(value = "courseCode") String courseCode,
            @Param(value = "collegeName") String collegeName, @Param(value = "majorName") String majorName,
            @Param(value = "className") String className, @Param(value = "teacher") String teacher, @Param(value = "teachClass") String teachClass,
            @Param(value = "param") String param, @Param(value = "startStudentCode") String startStudentCode,
            @Param(value = "endStudentCode") String endStudentCode, @Param(value = "pictureSymbol") String pictureSymbol,
            @Param(value = "pictureCount") Integer pictureCount);

    List<PictureManageDetailResult> pageData(@Param(value = "semesterIds") List<Long> semesterIds,
            @Param(value = "examIds") List<Long> examIds, @Param(value = "courseCodes") List<String> courseCodes,
            @Param(value = "collegeNames") List<String> collegeNames, @Param(value = "majorNames") List<String> majorNames,
            @Param(value = "classNames") List<String> classNames, @Param(value = "teacher") String teacher, @Param(value = "teachClass") String teachClass,
            @Param(value = "param") String param, @Param(value = "minScore") Double minScore,
            @Param(value = "maxScore") Double maxScore, @Param(value = "pictureSymbol") String pictureSymbol,
            @Param(value = "pictureCount") Integer pictureCount);
}
