package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.ScanStatExportResult;
import com.qmth.paper.library.business.bean.result.ScanStatResult;
import com.qmth.paper.library.business.entity.PaperLibrary;

import java.util.List;

/**
 * @Description 扫描统计
 */
public interface PaperScanStatService extends IService<PaperLibrary> {

    IPage<ScanStatResult> pageScanStat(Long scanDate, String scanner, Integer pageNumber, Integer pageSize);

    List<ScanStatExportResult> listScanStat(Long scanDate, String scanner);
}
