package com.qmth.paper.library.common.lock;

public enum LockType {
    BIND_PAPER_TASK("绑定图片任务"),
    GET_SEQUENCE("获取图片自增数"),
    GET_ALPHABET("获取批次号前缀"),
    GET_OTHER_SEQUENCE("获取其它文件批次顺序号"),
    UPLOAD_OTHER_FILE("上传其它文件"),
    ROTATE_PICTURE("旋转图片"),
    SCAN_TASK_SEQUENCE("获取任务编号顺序号"),
    STUDENT_PDF_GENERATE("考生试卷pdf生成");

    private String name;

    private LockType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

}
