package com.qmth.paper.library.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.paper.library.common.bean.result.TaskListResult;
import com.qmth.paper.library.common.entity.TBTask;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 导入导出任务表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-03-19
 */
public interface TBTaskMapper extends BaseMapper<TBTask> {

    public IPage<TaskListResult> query(IPage<TaskListResult> iPage,
                                       @Param("schoolId") Long schoolId,
                                       @Param("status") String status,
                                       @Param("type") String type,
                                       @Param("result") String result,
                                       @Param("createId") Long createId,
                                       @Param("orgIds") Set<Long> orgIds);
}
