package com.qmth.paper.library.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.common.bean.dto.SchoolDto;
import com.qmth.paper.library.common.entity.BasicSchool;

import java.util.List;

/**
 * <p>
 * 学校表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicSchoolService extends IService<BasicSchool> {

    List<SchoolDto> listSchool();

    BasicSchool getBySchoolCode(String schoolCode);
}
