package com.qmth.paper.library.common.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.paper.library.common.entity.BasicBatchNumber;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2024-08-01
 */
public interface BasicBatchNumberService extends IMppService<BasicBatchNumber> {


    BasicBatchNumber getOrAddByExamIdAndUserId(Long examId, Long userId);

    List<BasicBatchNumber> listByExamId(Long examId);

    void updateBatchNo(Long examId, Long scanUserId, String batchNo);
}
